#!/system/bin/sh
# 请不要硬编码 /magisk/modname/... ; 请使用 $MODDIR/...
# 这将使你的脚本更加兼容，即使Magisk在未来改变了它的挂载点
MODDIR=${0%/*}

# 这个脚本将以 late_start service 模式执行
# 更多信息请访问 Magisk 主题
# 该脚本将在设备开机后作为延迟服务启动

#以下来自酷安@风雪如花剑如霜

#来源于scene（感谢@嘟嘟斯基）（感谢酷安@戟鲸的测试）
sleep 5

am kill logd
killall -9 logd

am kill logd.rc
killall -9 logd.rc

#冻结广告应用
pm disable com.miui.analytics
pm disable com.miui.systemAdSolution
pm disable com.android.stk

#开机释放缓存（尝试清理）
sleep 10
echo 3 > /proc/sys/vm/drop_caches
echo 1 > /proc/sys/vm/compact_memory

#清理wifi 日志
rm -rf /data/vendor/wlan_logs
touch /data/vendor/wlan_logs
chmod 000 /data/vendor/wlan_logs

#利用fstrim对设备读写进行优化（来自酷安@风雪如花剑如霜）
sleep 30
if
echo 'fstrim /system'
/sbin/.magisk/busybox/fstrim /system
then 
echo "完成"
fi

if
.echo 'fstrim /data'
/sbin/.magisk/busybox/fstrim /data
then
echo "完成"
fi

if
echo 'fstrim /cache'
/sbin/.magisk/busybox/fstrim /cache
then 
echo "完成"
echo '命令已执行'
fi

#everything编译
cmd package compile -m everything  -f com.miui.home
cmd package compile -m everything  -f com.android.systemui

#app清理＋去广告来(自酷安@风雪如花剑如霜)
C=/sbin/.magisk/busybox/rm
#清理内容
D=/data/media/0
$C -rf $D/360
$C -rf $D/tad
$C -rf $D/mivideo
$C -rf $D/MT2/.temp/*
$C -rf $D/MiMarket
$C -rf $D/OSSLog
$C -rf $D/QQBrowser
$C -rf $D/bytedance
$C -rf $D/cache
$C -rf $D/dctp
$C -rf $D/did
$C -rf $D/duilite
$C -rf $D/tbs
$C -rf $D/tga
$C -rf $D/ttscache
$C -rf $D/txrtmp
$C -rf $D/.cc
$C -rf $D/.com.taobao.dp
$C -rf $D/.DataStorage
$C -rf $D/.gs_file
$C -rf $D/.OAIDSystemConfigh
$C -rf $D/.OAIDSystemConfig
$C -rf $D/.tbs
$C -rf $D/.turingdebug
$C -rf $D/.UTSystemConfig
$C -rf $D/.vivo
$C -rf $D/umeng_cache
$C -rf $D/.gs_fs0
$C -rf $D/.gs_fs3
$C -rf $D/.gs_fs6
$C -rf $D/mipush
$C -rf $D/.turing.dat
$C -rf $D/.zzz
$C -rf $D/.um
$C -rf $D/.a.dat
$C -rf $D/.a.dat
$C -rf $D/.uxx
$C -rf $D/.*Trash*
$C -rf $D/.Android
$C -rf $D/.BD_SAPI_CACHE
$C -rf $D/.ColombiaMedia
$C -rf $D/.volley.cache
$C -rf $D/at
$C -rf $D/baidu
$C -rf $D/libs
$C -rf $D/setup
$C -rf $D/sitemp
$C -rf $D/Subtitles
$C -rf $D/GX_Download
$C -rf $D/1
$C -rf $D/.UTSystemConfig
$C -rf $D/.turingdebug
$C -rf $D/.Trusfort
$C -rf $D/.pzir
$C -rf $D/.protected_image
$C -rf $D/.mm_sdk_source
$C -rf $D/.lm_device
$C -rf $D/.INSTALLATION
$C -rf $D/.Download
$C -rf $D/.dlprovider
$C -rf $D/.andro
$C -rf $D/miad
$C -rf $D/sina/weibo/imageMapper_cache
$C -rf $D/logs
$C -rf $D/logger
$C -rf $D/eg.a
$C -rf $D/Download/.cu
$C -rf /proc/sys/debug/*
$C -rf /sys/kernel/debug/*
$C -rf /data/system/dropbox/*
$C -rf /dev/fscklogs/*
$C -rf /data/system/package_cache/*
$C -rf /data/tombstones/*
$C -rf /data/local/*
$C -rf /data/system/nativedebug/*
$C - rf  /data/media/0/.com.android.providers.downloads.ui/*
$C - rf  /data/media/0/.com.android.providers.downloads/*
find $D/ -name '.td-3' -type f -print -exec rm -rf {} \;
find $D/ -name '.tdck' -type f -print -exec rm -rf {} \;
find $D/ -name '*.log' -type f -print -exec rm -rf {} \;
find $D/ -name '*.tmp' -type f -print -exec rm -rf {} \;
find $D/ -name '*.log.*' -type f -print -exec rm -rf {} \;
find $D/ -name '*._log.*' -type f -print -exec rm -rf {} \;
K=/sbin/.magisk/busybox/chattr
#禁用广告
touch $D/sina/weibo/imageMapper_cache
touch $D/tad
touch $D/GX_Download
touch $D/miad
touch $D/umeng_cache
$K +i $D/tad
$K +i $D/GX_Download
$K +i $D/miad
$K +i $D/umeng_cache
$K +i $D/sina/weibo/imageMapper_cache

#UFS(来自酷安@风雪如花剑如霜)
#禁用I/O统计
echo 0 > /sys/block/sda/queue/iostats
echo 0 > /sys/block/sda/queue/iostats
echo 0 > /sys/block/sdb/queue/iostats
echo 0 > /sys/block/sdc/queue/iostats
echo 0 > /sys/block/sdd/queue/iostats
echo 0 > /sys/block/sde/queue/iostats
echo 0 > /sys/block/sdf/queue/iostats

#禁用(存储I/O)调试帮助
echo 0 > /sys/block/sda/queue/nomerges
echo 0 > /sys/block/sdb/queue/nomerges
echo 0 > /sys/block/sdc/queue/nomerges
echo 0 > /sys/block/sdd/queue/nomerges
echo 0 > /sys/block/sde/queue/nomerges
echo 0 > /sys/block/sdf/queue/nomerges

#EMMC
#禁用I/O 统计(EMMC)
echo 0 > /sys/block/mmcblk0/queue/iostats
echo 0 > /sys/block/mmcblk0rpmb/queue/iostats

#禁用(存储I/O)调试帮助
echo 0 > /sys/block/mmcblk0/queue/nomerges
echo 0 > /sys/block/mmcblk0rpmb/queue/iostats


#禁用I/O调试，UFS 和EMMC皆可用
echo 0 > /sys/block/loop0/queue/iostats
echo 0 > /sys/block/loop1/queue/iostats
echo 0 > /sys/block/loop2/queue/iostats
echo 0 > /sys/block/loop3/queue/iostats
echo 0 > /sys/block/loop4/queue/iostats
echo 0 > /sys/block/loop5/queue/iostats
echo 0 > /sys/block/loop6/queue/iostats
echo 0 > /sys/block/loop7/queue/iostats
echo 0 > /sys/block/loop8/queue/iostats
echo 0 > /sys/block/loop9/queue/iostats
echo 0 > /sys/block/loop10/queue/iostats
echo 0 > /sys/block/loop11/queue/iostats
echo 0 > /sys/block/loop12/queue/iostats
echo 0 > /sys/block/loop13/queue/iostats
echo 0 > /sys/block/loop14/queue/iostats
echo 0 > /sys/block/loop15/queue/iostats

#关闭RAMDUMP
echo 0 > /sys/module/subsystem_restart/parameters/enable_ramdumps
echo 0 > /sys/module/subsystem_restart/parameters/enable_mini_ramdumps

# 禁用驱动程序调试(和i/o无关)
echo 0 > /sys/module/binder/parameters/debug_mask
echo 0 > /sys/module/binder_alloc/parameters/debug_mask
echo 0 > /sys/module/msm_show_resume_irq/parameters/debug_mask
echo 0 > /sys/module/millet_core/parameters/millet_debug
echo 0 > /proc/sys/migt/migt_sched_debug
echo N > /sys/kernel/debug/debug_enabled
# 开机之后执行
rm -rf /data/media/0/.6226f7cbe59e99a90b5cef6f94f966fd
rm -rf /data/media/0/.7934039a
rm -rf /data/media/0/.Application
rm -rf /data/media/0/.awp
rm -rf /data/media/0/.Android
rm -rf /data/media/0/.BD_SAPI_CACHE
rm -rf /data/media/0/.com.android.providers.downloads.ui
rm -rf /data/media/0/.com.kwai.weapon.file
rm -rf /data/media/0/.com.smile.gifmaker
rm -rf /data/media/0/.com.taobao.dp
rm -rf /data/media/0/.DataStorage
rm -rf /data/media/0/.estrongs
rm -rf /data/media/0/.gs_file
rm -rf /data/media/0/.gs_fs0
rm -rf /data/media/0/.gs_fs3
rm -rf /data/media/0/.gs_fs6
rm -rf /data/media/0/.kspdf
rm -rf /data/media/0/.INSTALLATION
rm -rf /data/media/0/.lm_device
rm -rf /data/media/0/.OAIDSystemConfig
rm -rf /data/media/0/.qmt
rm -rf /data/media/0/.Rcs
rm -rf /data/user/0/.tbs
rm -rf /data/media/0/.tomb
rm -rf /data/media/0/.turingdebug
rm -rf /data/media/0/.UTSystemConfig
rm -rf /data/media/0/.uxx
rm -rf /data/media/0/.um
rm -rf /data/media/0/.vivo
rm -rf /data/media/0/.zp
rm -rf /data/media/0/autonavi
rm -rf /data/media/0/at
rm -rf /data/media/0/AppTimer
rm -rf /data/media/0/AndroLua
rm -rf /data/media/0/alipay
rm -rf /data/media/0/AlivcData
rm -rf /data/media/0/amap
rm -rf /data/media/0/aweme_monitor
rm -rf /data/media/0/backups
rm -rf /data/media/0/baidu
rm -rf /data/media/0/Browser
rm -rf /data/media/0/bytedance
rm -rf /data/media/0/ByteDownload
rm -rf /data/media/0/cmb.pb
rm -rf /data/media/0/cmb
rm -rf /data/media/0/Ccb
rm -rf /data/media/0/Catfish
rm -rf /data/media/0/cameratest
rm -rf /data/media/0/com
rm -rf /data/media/0/com.cn21.yj
rm -rf /data/media/0/com.miui.voiceassist
rm -rf /data/media/0/com.netease.cloudmusic
rm -rf /data/media/0/com.tencent.mtt
rm -rf /data/media/0/com.tencent.mobileqq
rm -rf /data/media/0/DkMiBrowserDemo
rm -rf /data/media/0/documents
rm -rf /data/media/0/duilite
rm -rf /data/media/0/ecloud
rm -rf /data/media/0/flywheel
rm -rf /data/media/0/_file1
rm -rf /data/media/0/Fonts
rm -rf /data/media/0/gifshow
rm -rf /data/media/0/HCE_CCB
rm -rf /data/media/0/iLiaoNing
rm -rf /data/media/0/JuphoonService
rm -rf /data/media/0/kgshiqu
rm -rf /data/media/0/libs
rm -rf /data/media/0/langtao
rm -rf /data/media/0/logger
rm -rf /data/media/0/MQ
rm -rf /data/media/0/Movies
rm -rf /data/media/0/Mob
rm -rf /data/media/0/mivideo
rm -rf /data/media/0/misdklog
rm -rf /data/media/0/mipush
rm -rf /data/media/0/monitor
rm -rf /data/media/0/msc
rm -rf /data/media/0/OSSLog
rm -rf /data/media/0/Pictures/.thumbnails
rm -rf /data/media/0/quqi
rm -rf /data/media/0/qsvf
rm -rf /data/media/0/qqstory
rm -rf /data/media/0/qmt
rm -rf /data/media/0/QQBrowser
rm -rf /data/media/0/qqmusic
rm -rf /data/media/0/qqmusicconfig
rm -rf /data/media/0/ramdump
rm -rf /data/media/0/sogou
rm -rf /data/media/0/sitemp
rm -rf /data/media/0/sim
rm -rf /data/media/0/setup
rm -rf /data/media/0/shiqutouch
rm -rf /data/media/0/statistic
rm -rf /data/media/0/txrtmp
rm -rf /data/media/0/TWRP
rm -rf /data/media/0/TuSDK
rm -rf /data/media/0/ttscache
rm -rf /data/media/0/TMRI_12123
rm -rf /data/media/0/tbs
rm -rf /data/media/0/tencentmapsdk
rm -rf /data/media/0/thirdApiCaches
rm -rf /data/media/0/UZMap
rm -rf /data/media/0/www.ysxke.cn
rm -rf /data/media/0/Xiaomi
rm -rf /data/media/0/YanTool

#相册目录DCIM下
rm -rf /data/media/0/DCIM/.Recovery
rm -rf /data/media/0/DCIM/.thumbnails
rm -rf /data/media/0/DCIM/.tmfs
rm -rf /data/media/0/DCIM/.tmsdual
rm -rf /data/media/0/DCIM/DUtil
rm -rf /data/media/0/DCIM/ScreenRecorder
rm -rf /data/media/0/DCIM/taopai

#以下是文件

rm -rf /data/media/0/.mn_1561123885
rm -rf /data/media/0/.mn_-357667907
rm -rf /data/media/0/.skvec
rm -rf /data/media/0/.sys
rm -rf /data/media/0/.sys.log
rm -rf /data/media/0/.turing.dat
rm -rf /data/media/0/.userReturn
rm -rf /data/media/0/.zzz
rm -rf /data/media/0/dctp
rm -rf /data/media/0/did
rm -rf /data/media/0/hot_spot_result


# 这个脚本将以 late_start service 模式执行
# 更多信息请访问 Magisk 主题

#ABCD EFGH IJKL MNOP QRST UVWXYZ
